Table of Contents

## Name

im_mmapinrw - memory maps a VASARI image file with read and write access

## Synopsis

#include <vips/vips.h>

IMAGE *im_mmapinrw(file_name)
char *file_name;

## Description

im_mmapinrw(3) works exactly as im_mmapin but the entered file_name is memory mapped with read and write permissions. This is useful for some applications, like writing lines onto an existing file. Since the user might change accidentally the context of the original file, great care should taken when handling a file with this routine.

im_open(3) is generally more convenient.

## Return Value

The function returns the image descriptor on success and NULL on error.

## See Also

im_close(3) , im_open(3) , im_makerw(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author